<template>
  <div
    class="flex items-center bg-primary-blue lg:bg-transparent text-white justify-center lg:justify-start relative"
  >
    <router-link
      to="/profile"
      class="mr-auto lg:mr-4 pt-2 pb-1 px-4 lg:px-0 z-50"
    >
      <i class="icon-keyboard-arrow-left lg:text-primary-blue text-lg"></i>
    </router-link>
    <h2
      class="text-center lg:text-gray-text lg:text-lg font-semibold absolute lg:static inset-x-0 z-40"
    >
      Edit Profile
    </h2>
  </div>

  <div class="bg-white py-4 px-6 mt-4 rounded-large shadow-lg">
    <div class="flex items-center lg:justify-center py-4">
      <div
        class="bg-whitesmoke-lighter text-primary-mango font-semibold rounded-full h-12 w-12 relative flex items-center justify-center mr-6 text-lg overflow-hidden"
      >
        {{ initialName }}
      </div>
      <div class="text-left font-avenir">
        <h2 class="font-semibold text-lg text-gray-title">
          {{ fullName }}
        </h2>
        <span class="text-base text-gray-text font-medium">{{ cabang }}</span>
      </div>
    </div>

    <div class="mt-6 flex items-center justify-center h-72">
      FORM PROFILE
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";

import {
  GET_FULL_NAME,
  GET_INITIAL,
  GET_JOB_PLACE,
} from "@/modules/order/store";

export default {
  computed: {
    ...mapGetters({
      cabang: GET_JOB_PLACE,
      fullName: GET_FULL_NAME,
      initialName: GET_INITIAL,
    }),
  },
};
</script>
